org.apache.ignite.internal.visor.verify

## Class VisorIdleAnalyzeTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<VisorIdleAnalyzeTaskArg,VisorIdleAnalyzeTaskResult>
    - - org.apache.ignite.internal.visor.verify.VisorIdleAnalyzeTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorIdleAnalyzeTaskArg>,VisorIdleAnalyzeTaskResult>

    @GridInternal
    public class VisorIdleAnalyzeTask
    extends VisorOneNodeTask<VisorIdleAnalyzeTaskArg,VisorIdleAnalyzeTaskResult>

Task to find diverged keys of conflict partition.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorIdleAnalyzeTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<VisorIdleAnalyzeTaskArg,VisorIdleAnalyzeTaskResult>` `job(VisorIdleAnalyzeTaskArg arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorIdleAnalyzeTask

    public VisorIdleAnalyzeTask()

### Method Detail

#### job

    protected VisorJob<VisorIdleAnalyzeTaskArg,VisorIdleAnalyzeTaskResult> job(VisorIdleAnalyzeTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorIdleAnalyzeTaskArg,VisorIdleAnalyzeTaskResult,VisorIdleAnalyzeTaskResult>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018